Folks.AntiLinkable.change_anti_links – folks Reference Manual

# change_anti_links

## Description:

public virtual async void change_anti_links (Set<string> anti_links) throws PropertyError

Change the Persona's set of anti-links.

It's preferred to call this rather than setting AntiLinkable.anti_links directly, as this method gives error notification and will only return once the anti-links have been written to the relevant backing store (or the operation's failed).

It should be noted that IndividualAggregator.link_personas and IndividualAggregator.unlink_individual will modify the anti -links sets of the personas they touch, in order to remove and add anti-links, respectively. It is expected that these IndividualAggregator methods will be used to modify anti-links indirectly, rather than calling AntiLinkable.change_anti_links directly.

## Parameters:

anti_links | the new set of anti-links from this persona

## Exceptions:

PropertyError | if setting the anti-links failed

## Since:

0.7.3